summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWade Cline <wadecline@hotmail.com>2017-06-22 19:56:55 -0700
committerMichał Górny <mgorny@gentoo.org>2017-09-02 10:45:21 +0200
commitbd0cdb2fe6e110d38bd00ee32265433960edda69 (patch)
tree85176cbeea5b28ea66b68aa404e4774e2ad26424 /net-irc/atheme-services/files/atheme-services.initd
parentdev-libs/libmowgli: Version bump to 2.1.0. (diff)
downloadgentoo-bd0cdb2fe6e110d38bd00ee32265433960edda69.tar.gz
gentoo-bd0cdb2fe6e110d38bd00ee32265433960edda69.tar.bz2
gentoo-bd0cdb2fe6e110d38bd00ee32265433960edda69.zip
net-irc/atheme-services: New package.
Bug: https://bugs.gentoo.org/454840 Bug: https://bugs.gentoo.org/520490 Bug: https://bugs.gentoo.org/574062 Bug: https://bugs.gentoo.org/581960 Closes: https://github.com/gentoo/gentoo/pull/5014
Diffstat (limited to 'net-irc/atheme-services/files/atheme-services.initd')
-rw-r--r--net-irc/atheme-services/files/atheme-services.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/net-irc/atheme-services/files/atheme-services.initd b/net-irc/atheme-services/files/atheme-services.initd
new file mode 100644
index 000000000000..46a868380aa3
--- /dev/null
+++ b/net-irc/atheme-services/files/atheme-services.initd
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+
+command="/usr/bin/atheme-services"
+command_user="atheme-services"
+pidfile="/var/run/atheme/atheme.pid"
+
+name="Atheme IRC Services"
+
+depend() {
+ need net
+ use ircd
+ provide irc-services
+}
+
+start_pre() {
+ checkpath -d "/var/run/atheme" -o atheme-services
+}
+
+reload() {
+ ebegin "Reloading ${SVCNAME}"
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
+ eend $?
+}